summaryrefslogtreecommitdiff
path: root/grpc
diff options
context:
space:
mode:
authormustiikhalil <mustii@mmk.one>2021-03-18 21:03:44 +0300
committerGitHub <noreply@github.com>2021-03-18 11:03:44 -0700
commit3b7d1e86b46e2e79715e0aab915e1ceaca958a8e (patch)
tree23443168e0c0980ec0f2ca493ec4703bb97a7cbe /grpc
parent78f0c0d1d96a220163a03174d3240864a6a139da (diff)
downloadflatbuffers-3b7d1e86b46e2e79715e0aab915e1ceaca958a8e.tar.gz
flatbuffers-3b7d1e86b46e2e79715e0aab915e1ceaca958a8e.tar.bz2
flatbuffers-3b7d1e86b46e2e79715e0aab915e1ceaca958a8e.zip
[GO] Tries to add go format to the CI (#6518)
* Trys to add go format to the CI Adds Gofmt to CI * Adds formatting for go dir in grpc * Small fix
Diffstat (limited to 'grpc')
-rw-r--r--grpc/examples/go/format.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/grpc/examples/go/format.sh b/grpc/examples/go/format.sh
new file mode 100644
index 00000000..a7ee9e31
--- /dev/null
+++ b/grpc/examples/go/format.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+#
+# Copyright 2021 Google Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+
+format_greeter() {
+ cd greeter
+
+ # Format client
+ cd client
+ gofmt -w .
+ cd ..
+
+ # Format server
+ cd server
+ gofmt -w .
+ cd ..
+
+ cd ..
+}
+
+format_greeter \ No newline at end of file